summaryrefslogtreecommitdiff
path: root/indra/newview/installers
diff options
context:
space:
mode:
Diffstat (limited to 'indra/newview/installers')
-rwxr-xr-xindra/newview/installers/darwin/apple-notarize.sh38
-rw-r--r--indra/newview/installers/windows/installer_template.nsi47
-rw-r--r--indra/newview/installers/windows/lang_da.nsibin11760 -> 11992 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_de.nsi1
-rw-r--r--indra/newview/installers/windows/lang_en-us.nsibin11434 -> 11666 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_es.nsibin12744 -> 12976 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_fr.nsibin13262 -> 13492 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_it.nsibin12480 -> 12714 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_ja.nsibin9644 -> 9880 bytes
-rw-r--r--indra/newview/installers/windows/lang_pl.nsibin12082 -> 12312 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_pt-br.nsibin12892 -> 13136 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_ru.nsibin12216 -> 12450 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_tr.nsibin12126 -> 12360 bytes
-rwxr-xr-xindra/newview/installers/windows/lang_zh.nsibin9082 -> 9324 bytes
14 files changed, 65 insertions, 21 deletions
diff --git a/indra/newview/installers/darwin/apple-notarize.sh b/indra/newview/installers/darwin/apple-notarize.sh
index e019437924..d90772ec0e 100755
--- a/indra/newview/installers/darwin/apple-notarize.sh
+++ b/indra/newview/installers/darwin/apple-notarize.sh
@@ -5,12 +5,12 @@ if [[ $SKIP_NOTARIZATION == "true" ]]; then
fi
CONFIG_FILE="$build_secrets_checkout/code-signing-osx/notarize_creds.sh"
-if [ -f "$CONFIG_FILE" ]; then
- source $CONFIG_FILE
+if [[ -f "$CONFIG_FILE" ]]; then
+ source "$CONFIG_FILE"
app_file="$1"
zip_file=${app_file/app/zip}
ditto -c -k --keepParent "$app_file" "$zip_file"
- if [ -f "$zip_file" ]; then
+ if [[ -f "$zip_file" ]]; then
res=$(xcrun altool --notarize-app --primary-bundle-id "com.secondlife.viewer" \
--username $USERNAME \
--password $PASSWORD \
@@ -19,37 +19,39 @@ if [ -f "$CONFIG_FILE" ]; then
echo $res
requestUUID=$(echo $res | awk '/RequestUUID/ { print $NF; }')
- echo "Apple Notarization RequestUUID: $requestUUID"
-
if [[ -n $requestUUID ]]; then
- status="in progress"
- while [[ "$status" == "in progress" ]]; do
+ in_progress=1
+ while [[ $in_progress -eq 1 ]]; do
sleep 30
- status=$(xcrun altool --notarization-info "$requestUUID" \
+ res=$(xcrun altool --notarization-info "$requestUUID" \
--username $USERNAME \
- --password $PASSWORD 2>&1 \
- | awk -F ': ' '/Status:/ { print $2; }' )
- echo "$status"
+ --password $PASSWORD 2>&1)
+ if [[ $res != *"in progress"* ]]; then
+ in_progress=0
+ fi
+ echo "."
done
# log results
- xcrun altool --notarization-info "$requestUUID" \
- --username $USERNAME \
- --password $PASSWORD
+ echo $res
#remove temporary file
rm "$zip_file"
- if [["$status" == "success"]]; then
+ if [[ $res == *"success"* ]]; then
xcrun stapler staple "$app_file"
- elif [["$status" == "invalid"]]; then
+ exit 0
+ elif [[ $res == *"invalid"* ]]; then
echo "Notarization error: failed to process the app file"
exit 1
+ else
+ echo "Notarization error: unknown response status"
fi
else
echo "Notarization error: couldn't get request UUID"
- echo $res
exit 1
fi
+ else
+ echo "Notarization error: ditto failed"
+ exit 1
fi
fi
-
diff --git a/indra/newview/installers/windows/installer_template.nsi b/indra/newview/installers/windows/installer_template.nsi
index 8838b6d0be..7513908cb4 100644
--- a/indra/newview/installers/windows/installer_template.nsi
+++ b/indra/newview/installers/windows/installer_template.nsi
@@ -561,10 +561,17 @@ Function CloseSecondLife
LOOP:
FindWindow $0 "Second Life" ""
- IntCmp $0 0 DONE
+ IntCmp $0 0 SLEEP
Sleep 500
Goto LOOP
-
+
+ SLEEP:
+ # Second life window just closed, but program might not be fully done yet
+ # and OS might have not released some locks, wait a bit more to make sure
+ # all file handles were released.
+ # If something still isn't unlocked, it will trigger a notification from
+ # RemoveProgFilesOnInst
+ Sleep 1000
DONE:
Pop $0
Return
@@ -605,6 +612,18 @@ FunctionEnd
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Function RemoveProgFilesOnInst
+# We do not remove whole pervious install folder on install, since
+# there is a chance that viewer was installed into some important
+# folder by intent or accident
+# RMDir /r $INSTDIR is especially unsafe if user installed somewhere
+# like Program Files
+
+# Set retry counter. All integers are strings.
+Push $0
+StrCpy $0 0
+
+PREINSTALLREMOVE:
+
# Remove old SecondLife.exe to invalidate any old shortcuts to it that may be in non-standard locations. See MAINT-3575
Delete "$INSTDIR\$INSTEXE"
Delete "$INSTDIR\$VIEWER_EXE"
@@ -612,13 +631,35 @@ Delete "$INSTDIR\$VIEWER_EXE"
# Remove old shader files first so fallbacks will work. See DEV-5663
RMDir /r "$INSTDIR\app_settings\shaders"
-# Remove skins folder to clean up files removed during development
+# Remove folders to clean up files removed during development
+RMDir /r "$INSTDIR\app_settings"
RMDir /r "$INSTDIR\skins"
+RMDir /r "$INSTDIR\vmp_icons"
+
+# Remove llplugin, plugins can crash or malfunction if they
+# find modules from different versions
+RMDir /r "$INSTDIR\llplugin"
+
+IntOp $0 $0 + 1
+
+IfErrors 0 PREINSTALLDONE
+ IntCmp $0 1 PREINSTALLREMOVE #try again once
+ StrCmp $SKIP_DIALOGS "true" PREINSTALLDONE
+ MessageBox MB_ABORTRETRYIGNORE $(CloseSecondLifeInstRM) IDABORT PREINSTALLFAIL IDRETRY PREINSTALLREMOVE
+ # MB_ABORTRETRYIGNORE does not accept IDIGNORE
+ Goto PREINSTALLDONE
+
+PREINSTALLFAIL:
+ Quit
+
+PREINSTALLDONE:
# We are no longer including release notes with the viewer, so remove them.
Delete "$SMPROGRAMS\$INSTSHORTCUT\SL Release Notes.lnk"
Delete "$INSTDIR\releasenotes.txt"
+Pop $0
+
FunctionEnd
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
diff --git a/indra/newview/installers/windows/lang_da.nsi b/indra/newview/installers/windows/lang_da.nsi
index f462c82078..648ddbfb85 100644
--- a/indra/newview/installers/windows/lang_da.nsi
+++ b/indra/newview/installers/windows/lang_da.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_de.nsi b/indra/newview/installers/windows/lang_de.nsi
index eebcf027a8..188c30197a 100755
--- a/indra/newview/installers/windows/lang_de.nsi
+++ b/indra/newview/installers/windows/lang_de.nsi
@@ -64,6 +64,7 @@ LangString MissingSSE2 ${LANG_GERMAN} "Dieses Gerät verfügt möglicherweise ni
; closesecondlife function (install)
LangString CloseSecondLifeInstDP ${LANG_GERMAN} "Warten auf die Beendigung von Second Life ..."
LangString CloseSecondLifeInstMB ${LANG_GERMAN} "Second Life kann nicht installiert oder ersetzt werden, wenn es bereits läuft.$\n$\nBeenden Sie, was Sie gerade tun und klicken Sie OK, um Second Life zu beenden.$\nKlicken Sie CANCEL, um die Installation abzubrechen."
+LangString CloseSecondLifeInstRM ${LANG_GERMAN} "Second Life failed to remove some files from a previous install."
; closesecondlife function (uninstall)
LangString CloseSecondLifeUnInstDP ${LANG_GERMAN} "Warten auf die Beendigung von Second Life ..."
diff --git a/indra/newview/installers/windows/lang_en-us.nsi b/indra/newview/installers/windows/lang_en-us.nsi
index ea680f08e4..0639d51e10 100644
--- a/indra/newview/installers/windows/lang_en-us.nsi
+++ b/indra/newview/installers/windows/lang_en-us.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_es.nsi b/indra/newview/installers/windows/lang_es.nsi
index 8a81110069..ee30651a38 100755
--- a/indra/newview/installers/windows/lang_es.nsi
+++ b/indra/newview/installers/windows/lang_es.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_fr.nsi b/indra/newview/installers/windows/lang_fr.nsi
index f038c0e419..7cd90ec314 100755
--- a/indra/newview/installers/windows/lang_fr.nsi
+++ b/indra/newview/installers/windows/lang_fr.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_it.nsi b/indra/newview/installers/windows/lang_it.nsi
index bd16d8318f..194062da9a 100755
--- a/indra/newview/installers/windows/lang_it.nsi
+++ b/indra/newview/installers/windows/lang_it.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_ja.nsi b/indra/newview/installers/windows/lang_ja.nsi
index 71edde1992..a54005ba14 100755
--- a/indra/newview/installers/windows/lang_ja.nsi
+++ b/indra/newview/installers/windows/lang_ja.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_pl.nsi b/indra/newview/installers/windows/lang_pl.nsi
index 865e8bdeee..355d806866 100644
--- a/indra/newview/installers/windows/lang_pl.nsi
+++ b/indra/newview/installers/windows/lang_pl.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_pt-br.nsi b/indra/newview/installers/windows/lang_pt-br.nsi
index 0e7cbeacda..97f5d2b44a 100755
--- a/indra/newview/installers/windows/lang_pt-br.nsi
+++ b/indra/newview/installers/windows/lang_pt-br.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_ru.nsi b/indra/newview/installers/windows/lang_ru.nsi
index d55aacc971..65a9f4846d 100755
--- a/indra/newview/installers/windows/lang_ru.nsi
+++ b/indra/newview/installers/windows/lang_ru.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_tr.nsi b/indra/newview/installers/windows/lang_tr.nsi
index 4746f84482..e71886cc66 100755
--- a/indra/newview/installers/windows/lang_tr.nsi
+++ b/indra/newview/installers/windows/lang_tr.nsi
Binary files differ
diff --git a/indra/newview/installers/windows/lang_zh.nsi b/indra/newview/installers/windows/lang_zh.nsi
index 397bd0ac81..f5f0c6cbdf 100755
--- a/indra/newview/installers/windows/lang_zh.nsi
+++ b/indra/newview/installers/windows/lang_zh.nsi
Binary files differ